# eric5.Helpviewer.Sync.SyncDirectorySettingsPage

Module implementing the synchronization shared directory settings wizard page.

### Global Attributes

None

### Classes

SyncDirectorySettingsPage | Class implementing the shared directory host settings wizard page.

### Functions

None

## SyncDirectorySettingsPage

Class implementing the shared directory host settings wizard page.

### Derived from

QWizardPage, Ui_SyncDirectorySettingsPage

### Class Attributes

None

### Class Methods

None

### Methods

SyncDirectorySettingsPage | Constructor
isComplete | Public method to check the completeness of the page.
nextId | Public method returning the ID of the next wizard page.
on_directoryButton_clicked | Private slot to select the shared directory via a directory selection dialog.

### Static Methods

None

#### SyncDirectorySettingsPage (Constructor)

SyncDirectorySettingsPage(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SyncDirectorySettingsPage.isComplete

isComplete()

Public method to check the completeness of the page.

Returns:
  flag indicating completeness (boolean)

#### SyncDirectorySettingsPage.nextId

nextId()

Public method returning the ID of the next wizard page.

Returns:
  next wizard page ID (integer)

#### SyncDirectorySettingsPage.on_directoryButton_clicked

on_directoryButton_clicked()

Private slot to select the shared directory via a directory selection dialog.

Up